/*Andres Mazon Arce
B14017*/

import java.util.Scanner;

public class OperadoresAritmeticos
{
  public static void main (String[] args)
  {
    
    Scanner teclado=new Scanner (System.in);
    
    int operador =1;
    while (operador!=0)
    {
      System.out.println ("Ingrese operador [1=+ 2=- 3=* 4=/ 5=% 0=Salir]:");
      operador = teclado.nextInt();
      
      if(operador!=0)
      {
        System.out.println ("Ingrese minimo:");
        double min = teclado.nextDouble();
        
        System.out.println ("Ingrese maximo:");
        double max = teclado.nextDouble();
        
        double incremento = -1.0;
        
        while (incremento<0)
        {
          System.out.println("Ingrese incremento mayor a 0:" );
          incremento = teclado.nextDouble();
        }
        
        
        
        
        System.out.println(" ");
        
        if(operador==1)
        {
          
          System.out.print (" "+"+"+" "+"|"+" ");
          for (double columna = min; columna<=max;columna=columna+incremento)
            System.out.print (columna+"  ");
          System.out.println();
          for (double columna = min; columna<=max;columna=columna+incremento)
          System.out.printf ("------");
          System.out.println();
          
          for (double fila=min; fila<=max; fila=fila+incremento)
          {
            System.out.print(fila+"|");
            for (double columna=min;columna<=max; columna=columna+incremento)
              
              System.out.print (" "+(fila+columna)+" ");
            System.out.println();
          }
        }
        
        if(operador==2)
        {
          
          System.out.print (" "+"-"+" "+"|"+" ");
          for (double columna = min; columna<=max;columna=columna+incremento)
            System.out.print (columna+"  ");
          System.out.println();
          for (double columna = min; columna<=max;columna=columna+incremento)
          System.out.printf ("------");
          System.out.println();
          
          for (double fila=min; fila<=max; fila=fila+incremento)
          {
            System.out.print(fila+"|");
            for (double columna=min;columna<=max; columna=columna+incremento)
              
              System.out.print (" "+(fila-columna)+" ");
            System.out.println();
          }
        }
        
         if(operador==3)
        {
          
          System.out.print (" "+"*"+" "+"|"+" ");
          for (double columna = min; columna<=max;columna=columna+incremento)
            System.out.print (columna+"  ");
          System.out.println();
          for (double columna = min; columna<=max;columna=columna+incremento)
          System.out.printf ("------");
          System.out.println();
          
          for (double fila=min; fila<=max; fila=fila+incremento)
          {
            System.out.print(fila+"|");
            for (double columna=min;columna<=max; columna=columna+incremento)
              
              System.out.print (" "+(fila*columna)+" ");
            System.out.println();
          }
        }
         
         if(operador==4)
        {
          
          System.out.print (" "+"/"+" "+"|"+" ");
          for (double columna = min; columna<=max;columna=columna+incremento)
            System.out.print (columna+"  ");
          System.out.println();
          for (double columna = min; columna<=max;columna=columna+incremento)
          System.out.printf ("------");
          System.out.println();
          
          for (double fila=min; fila<=max; fila=fila+incremento)
          {
            System.out.print(fila+"|");
            for (double columna=min;columna<=max; columna=columna+incremento)
              
              System.out.print (" "+(double)(Math.round(fila/columna))+" ");
            System.out.println();
          }
        }
        
           if(operador==5)
        {
          
          System.out.print (" "+"%"+" "+"|"+" ");
          for (double columna = min; columna<=max;columna=columna+incremento)
            System.out.print (columna+"  ");
          System.out.println();
          for (double columna = min; columna<=max;columna=columna+incremento)
          System.out.printf ("------");
          System.out.println();
          
          for (double fila=min; fila<=max; fila=fila+incremento)
          {
            System.out.print(fila+"|");
            for (double columna=min;columna<=max; columna=columna+incremento)
              
              System.out.print (" "+(fila%columna)+" ");
            System.out.println();
          }
        }         
      }
    }
  }    
}                   



